# 32/64bit spec
#
%define name berusky
%define version 1.7.1
%define summary 2D logic game

Summary: 2D logic game based on Sokoban
Summary(de): Logik Spiel in 2D	
Name: %{name}
Version: %{version}
Release: %mkrel 2
License:        GPL
Group:          Games/Logic
Source:         http://www.anakreon.cz/download/berusky/tar.gz/%{name}-%{version}.tar.xz
URL:            http://www.anakreon.cz/
Requires:  	berusky-data
Requires:  	SDL
#----------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#----------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Berusky is a 2D logic game based on an ancient puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

This package contains a binary for the game.
#german
%description -l de
Sokoban-ähnliches Klötzchenschieben, welches das klassische Spielkonzept 
um neue Elemente wie Explosivstoffe und Teleporter erweitert; wem die 120 
enthaltenen Level nicht reichen, der kann mit dem beiliegenden Leveleditor 
selbst für Nachschub sorgen.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fis
%configure2_5x \
    CFLAGS="$RPM_OPT_FLAGS"

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}

pushd %{buildroot}/usr/doc
mv * %{buildroot}%{_docdir}/%{name}-%{version}
popd

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Berusky
Comment=2D logic game
Comment[de]=Logik Spiel in 2D 
Exec=%{_bindir}/berusky
Icon=puzzle_section
Terminal=false
Type=Application
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}-%{version}/*
%{_bindir}/berusky
%{_datadir}/%{name}/*
%{_datadir}/applications/*

%changelog
* Tue Jul 09 2019 tex - 1.7.1-2pclos2019
- rebuild against updates

* Thu Dec 28 2017 ghostbunny <ghostbunny at gmx dot de> 1.7.1-1pclos2018
- 1.7.1

* Sat Dec 21 2013 ghostbunny <ghostbunny at gmx dot de> 1.7-1pclos2013
- 1.7

* Wed Mar 06 2013 ghostbunny <ghostbunny at gmx dot de> 1.6-1pclos2013
- 1.6
- fixed BRs added all except libslang

* Mon Mar 26 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Mon Mar 26 2012 leiche <meisssw01 at gmail.com> 1.4-1pclos2012
- 1.4
- add german description
- convert archive to xz

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 1.1-5pclos2010
- rebuild

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 1.1-4pclos2010
- rebuild

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 1.1-3pclos2010
- back out slang2

* Sat Oct 31 2009 Texstar <texstar at gmail.com> 1.1-2pclos2010
- gcc & slang2 update

* Fri Feb 01 2008 P. K. Frederic <pkfric@yahoo.com> 1.1-1pclos2007
- first RPM for PCLinuxOS

